#!/bin/bash
   cdir=$(dirname "${BASH_SOURCE[0]}")
    tag=$(git tag -l | tail -n 1)
version=${1:-$tag}
   user=$(echo $PACKAGE_USER | cut -d':' -f1);
package=core

cd $(dirname $cdir);
echo ":: build package $package version $version ::"
rm -vf $package-*.zip
zip -9 -x 'vendor/*' -r $package-$version.zip ./*
echo ":: sending package to forge ::"
curl --user $PACKAGE_USER --upload-file ./$package-$version.zip https://$PACKAGE_HOST/api/packages/$user/composer?version=$version
echo " status : $?"
